aboutsummaryrefslogtreecommitdiff
path: root/bin/dvtm-status
diff options
context:
space:
mode:
authorNicholas Noll <nbnoll@eml.cc>2020-06-08 15:07:04 -0700
committerNicholas Noll <nbnoll@eml.cc>2020-06-08 15:07:04 -0700
commitede65127cb813cd1efc8c8237c69c4308a761b33 (patch)
treef9540a6f5556bb924698656f5410a3062667cf6b /bin/dvtm-status
parentac78d59c80b627a5332ac64a7d4359389c4251fa (diff)
feat: added dvtm underneath source tree
Diffstat (limited to 'bin/dvtm-status')
-rwxr-xr-xbin/dvtm-status16
1 files changed, 16 insertions, 0 deletions
diff --git a/bin/dvtm-status b/bin/dvtm-status
new file mode 100755
index 0000000..f841e3f
--- /dev/null
+++ b/bin/dvtm-status
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+FIFO="/tmp/dvtm-status.$$"
+
+[ -p "$FIFO" ] || mkfifo -m 600 "$FIFO" || exit 1
+
+while true; do
+ date +%H:%M
+ sleep 60
+done > "$FIFO" &
+
+STATUS_PID=$!
+dvtm -s "$FIFO" "$@" 2> /dev/null
+kill $STATUS_PID
+wait $STATUS_PID 2> /dev/null
+rm -f "$FIFO"